import os

import requests
from tenacity import retry, stop_after_attempt, wait_fixed

@retry(stop=stop_after_attempt(5), wait=wait_fixed(5))
def test_poke_test():
    """
    Testing Health Check endpoint service
    :return: None
    """
    svc_health_check_url = os.getenv('SVC_HEALTH_CHECK_URL')
    resp = requests.get(svc_health_check_url)
    assert resp.ok, f'Health check failed with {svc_health_check_url} status code: {resp.status_code}'